package com.ematou.wxservice.mp.message;

import com.ematou.wxservice.common.constant.WeChatConstant;
import com.ematou.wxservice.common.xml.converter.XStreamCDataConverter;
import com.thoughtworks.xstream.annotations.XStreamAlias;
import com.thoughtworks.xstream.annotations.XStreamConverter;

@XStreamAlias("xml")
public class WeChatMpXmlOutImageMessage extends WeChatMpXmlOutMessage {

    @XStreamAlias("MediaId")
    @XStreamConverter(value = XStreamCDataConverter.class)
    private String mediaId;

    public WeChatMpXmlOutImageMessage(){
        this.msgType = WeChatConstant.XmlMsgType.IMAGE;
    }

    public String getMediaId() {
        return mediaId;
    }

    public void setMediaId(String mediaId) {
        this.mediaId = mediaId;
    }
}
